with import <nixpkgs> {};
let
  gputils = callPackage ./gputils.nix {};
  sdcc = pkgs.callPackage ./sdcc.nix {
    inherit gputils;
    disabled = lib.splitString " " "mcs51 z80 z180 r2k r3ka gbz80 tlcs90 ds390 ds400 pic16 hc08 s08 stm8";
  };
in
stdenv.mkDerivation {
  name = "blink";
  buildInputs = [ sdcc gputils ];
  src = ./.;
  installPhase = ''
    mkdir $out
    cp blink_led.hex $_
  '';
}
